#!/usr/bin/perl

# OUT points to standard out
open OUT , ">-" or 
    die "Can't open out file: $!\n";

# Pipe to output of ls against all evaluation results files
open FILELIST , "ls ./Result/*.xml |" or 
    die "Can't open pipe from ls: $!\n";

#$runindex = 1;
#$sysindex = 0;
#$cursys = "";

 printf " %30s   %5s %4s %4s %4s %4s \n",
    "", "" , "", "","  News", " News      ";
printf " %30s   %5s %3s %3s %3s %3s \n",
    "SysId", "missV", "Rec  " , "Prec ", "Rec", "  Prec";
fileloop: while ($file = <FILELIST>) {

    chomp $file;  # remove newline

    open FILE, $file or 
	die "Can't open $file\n";

    lineloop:while ($line = <FILE>) {

	
	if ($line =~ /<\/ResultStorySegmentationEvaluation/)
	{
	    # Go on to the next file
	    close FILE;
	    next fileloop;
        }

	if ($line =~ /<Run/)
	{
	    #printf("ok\n");
	    $posSysId=index($line,"SysId");
	    $posRecall=index($line,"Recall");
	    $posPrecision=index($line,"Precision");
	    $posNewsRecall=index($line,"NewsRecall");
	    $posNewsPrecision=index($line,"NewsPrecision");
	    $posVideoMiss=index($line,"NumberOfVideosMissing");

	    @sysidtmp = split /\"/, substr($line,$posSysId+7);
	    @recalltmp = split /\"/, substr($line,$posRecall+8);
	    @precisiontmp = split /\"/, substr($line,$posPrecision+11);
            @newsprecisiontmp = split /\"/, substr($line,$posNewsPrecision+15);
	    @newsrecalltmp = split /\"/, substr($line,$posNewsRecall+12);
	    @Videomisstmp = split /\"/, substr($line,$posVideoMiss+23);
            #printf($posNewsRecall."\n");

	    if($posNewsRecall == -1)
            {
              printf " %30s   %5d %1.3f %1.3f \n",
                     $sysidtmp[0],$Videomisstmp[0], $recalltmp[0], $precisiontmp[0] ;

            }
            else{
             printf " %30s   %5d %1.3f %1.3f %1.3f %1.3f \n",
                     $sysidtmp[0],$Videomisstmp[0], $recalltmp[0], $precisiontmp[0], $newsrecalltmp[0], $newsprecisiontmp[0];
            }  
        } 
     }           
            close FILE;
            next fileloop;
 }

	
    



